Package fr.gouv.vitam.collect.internal.core.common

# Class ProjectModel.Builder

java.lang.Object
fr.gouv.vitam.collect.internal.core.common.ProjectModel.Builder

Enclosing class:
  `ProjectModel`

public static class ProjectModel.Builder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProjectModel.Builder`
  `archivingSystemId(String archivingSystemId)`
  `ProjectModel.Builder`
  `archivingSystemTenant(Integer archivingSystemTenant)`
  `ProjectModel.Builder`
  `automaticIngest(Boolean automaticIngest)`
  `ProjectModel`
  `build()`
  `ProjectModel.Builder`
  `connectedToArchivingSystem(Boolean connected)`
  `ProjectModel.Builder`
  `creationDate(String creationDate)`
  `ProjectModel.Builder`
  `id(String id)`
  `ProjectModel.Builder`
  `lastUpdate(String lastUpdate)`
  `ProjectModel.Builder`
  `manifestContext(ManifestContext context)`
  `ProjectModel.Builder`
  `name(String name)`
  `ProjectModel.Builder`
  `status(ProjectStatus status)`
  `ProjectModel.Builder`
  `tenant(Integer tenant)`
  `ProjectModel.Builder`
  `transformationRules(String transformationRules)`
  `ProjectModel.Builder`
  `unitUp(String unitUp)`
  `ProjectModel.Builder`
  `unitUps(List<MetadataUnitUp> unitUps)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### id

    public ProjectModel.Builder id(String id)

  - ### name

    public ProjectModel.Builder name(String name)

  - ### manifestContext

    public ProjectModel.Builder manifestContext(ManifestContext context)

  - ### status

    public ProjectModel.Builder status(ProjectStatus status)

  - ### creationDate

    public ProjectModel.Builder creationDate(String creationDate)

  - ### lastUpdate

    public ProjectModel.Builder lastUpdate(String lastUpdate)

  - ### unitUp

    public ProjectModel.Builder unitUp(String unitUp)

  - ### unitUps

    public ProjectModel.Builder unitUps(List<MetadataUnitUp> unitUps)

  - ### tenant

    public ProjectModel.Builder tenant(Integer tenant)

  - ### automaticIngest

    public ProjectModel.Builder automaticIngest(Boolean automaticIngest)

  - ### archivingSystemId

    public ProjectModel.Builder archivingSystemId(String archivingSystemId)

  - ### archivingSystemTenant

    public ProjectModel.Builder archivingSystemTenant(Integer archivingSystemTenant)

  - ### connectedToArchivingSystem

    public ProjectModel.Builder connectedToArchivingSystem(Boolean connected)

  - ### transformationRules

    public ProjectModel.Builder transformationRules(String transformationRules)

  - ### build

    public ProjectModel build()